GammalLib - Bug #2126

TypeError: in method 'GCTAONOffObservation_likelihood', argument 5 of type 'double *'
06/16/2017 11:01 AM - Rodriguez Fernandez Gonzalo

Status: Closed Start date: 06/16/2017
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.4.0

Description

Dear all,

| am testing the ON & OFF CTA observation.
The fit goes well, but when | just try to obtain the likelihood value using:

fit_models = onoff_container.models()

gradient = gammalib.GVector()

curvature = gammalib.GMatrixSparse()

npred =[]

value = onoff_container[0].likelihood(fit_models, gradient, curvature, npred)

| get this error:
TypeError: in method 'GCTAONOffObservation_likelihood', argument 5 of type 'double *'

| have tried differents options to pass the npred variable, but | always get this error message.
| send you the python script with the xml files to reproduce the error msg.

Thanks in advanced!
Gonzalo.

History

#1 - 07/29/2017 03:52 AM - Knddlseder Jiirgen
- Status changed from New to Feedback

- Assigned To set to Knédlseder Jiirgen

- Target version set to 1.4.0

- % Done changed from 0 to 90

There was a Python typemap missing in the SWIG interface that prevented the acceptance of a Python float as an argument. | added the missing
typemap and merged the change into the devel branch.

Note, however, that the method expects a single variable and not an array. Here is the code that works fine on my side:

fit_models = onoff_container.models()

gradient = gammalib.GVector()

curvature = gammalib.GMatrixSparse()

npred = 0.0

value = onoff_container[0].likelihood(fit_models, gradient, curvature, npred)
print(npred)
#2 - 07/31/2017 11:03 PM - Knodlseder Jiirgen
- Tracker changed from Support to Bug

#3 - 08/01/2017 02:05 PM - Knodlseder Jiirgen
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Files

sim_model.xml 1.4 KB 06/16/2017 Rodriguez Fernandez Gonzalo
crab.xml 1.13 KB 06/16/2017 Rodriguez Fernandez Gonzalo
sim_and_analisys.py 2.22 KB 06/16/2017 Rodriguez Fernandez Gonzalo
